public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/singleton/
Date: Mon, 23 May 2022 05:05:02 +0000 (UTC)	[thread overview]
Message-ID: <1653282286.59012e388f3fcdf33885a479577364a8676be7a6.graaff@gentoo> (raw)

commit:     59012e388f3fcdf33885a479577364a8676be7a6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 22 08:13:06 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon May 23 05:04:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59012e38

dev-ruby/singleton: initial import of 0.1.1

Dependency for forthcoming dev-ruby/prime.

Extracted from dev-lang/ruby, keywords set accordingly.

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/singleton/Manifest               |  1 +
 dev-ruby/singleton/metadata.xml           | 11 +++++++++++
 dev-ruby/singleton/singleton-0.1.1.ebuild | 31 +++++++++++++++++++++++++++++++
 3 files changed, 43 insertions(+)

diff --git a/dev-ruby/singleton/Manifest b/dev-ruby/singleton/Manifest
new file mode 100644
index 000000000000..147c82fcab11
--- /dev/null
+++ b/dev-ruby/singleton/Manifest
@@ -0,0 +1 @@
+DIST singleton-0.1.1.tar.gz 4975 BLAKE2B 3957c7d622aaad6a71b5675ad950b2a4622ec520b59075df25a966609e54c2f47581ba35c5a004c67a1a36f50de13dacadbc96ee1fd113790e6793e97131787c SHA512 a0817b42e8b056488b999eca8de09d75efe79e5624f4817289164d90051c92279dc9f8a087e69df89bec913127c460b8b6586fde17b73e08d4ec5b6da4dec18d

diff --git a/dev-ruby/singleton/metadata.xml b/dev-ruby/singleton/metadata.xml
new file mode 100644
index 000000000000..2c38c2ef94ba
--- /dev/null
+++ b/dev-ruby/singleton/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>ruby@gentoo.org</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/singleton</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/singleton/singleton-0.1.1.ebuild b/dev-ruby/singleton/singleton-0.1.1.ebuild
new file mode 100644
index 000000000000..cabbd7428cfa
--- /dev/null
+++ b/dev-ruby/singleton/singleton-0.1.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="singleton.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The Singleton module implements the Singleton pattern"
+HOMEPAGE="https://github.com/ruby/singleton"
+SRC_URI="https://github.com/ruby/singleton/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+	sed -e 's/__dir__/"."/' \
+		-e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+		-e 's/git ls-files -z/find * -print0/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:.:test:test/lib -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2022-05-23  5:05 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-23  5:05 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-04 10:25 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/singleton/ Hans de Graaff
2023-03-04 12:51 Hans de Graaff
2023-03-28 19:46 Sam James
2023-03-28 19:46 Sam James
2023-03-28 19:46 Sam James
2023-03-28 19:46 Sam James
2023-03-28 19:48 Sam James
2023-03-28 19:50 Sam James
2023-03-28 19:53 Arthur Zamarin
2023-08-02 17:11 Arthur Zamarin
2023-11-09  6:00 Hans de Graaff
2023-12-26 15:53 Hans de Graaff
2024-07-17  4:38 Viorel Munteanu
2024-10-08 20:09 Arthur Zamarin
2024-10-08 20:28 Arthur Zamarin
2024-10-09  5:46 Sam James
2024-10-12 16:22 Sam James
2024-10-28  6:43 Hans de Graaff
2024-11-04 19:35 Fabian Groffen
2024-11-09  7:40 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653282286.59012e388f3fcdf33885a479577364a8676be7a6.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox